## e-backend-enums

e-backend-enums

## Types and Values

enum | EAuthenticationSessionResult
enum | EDBusServerExitCode
enum | ESourcePermissionFlags
enum | EOfflineState
enum | ECollectionBackendParts

## Description

## Functions

## Types and Values

### enum EAuthenticationSessionResult

Completion codes used by EAuthenticationSession.

#### Members

E_AUTHENTICATION_SESSION_ERROR | An error occurred while authenticating. |
E_AUTHENTICATION_SESSION_SUCCESS | Client reported successful authentication. |
E_AUTHENTICATION_SESSION_DISMISSED | User dismissed the authentication prompt. |

Since: 3.6

### enum EDBusServerExitCode

Exit codes submitted to `e_dbus_server_quit()` and returned by `e_dbus_server_run()`.

#### Members

E_DBUS_SERVER_EXIT_NONE | The server's run state is unchanged. |
E_DBUS_SERVER_EXIT_NORMAL | Normal termination. The process itself may now terminate. |
E_DBUS_SERVER_EXIT_RELOAD | The server should reload its configuration and start again. Servers that do not support reloading may wish to intercept this exit code and stop the “quit-server” emission. |

Since: 3.6

### enum ESourcePermissionFlags

Initial permissions for a newly-loaded data source key file.

#### Members

E_SOURCE_PERMISSION_NONE | The data source gets no initial permissions. |
E_SOURCE_PERMISSION_WRITABLE | The data source is initially writable. |
E_SOURCE_PERMISSION_REMOVABLE | The data source is initially removable. |

Since: 3.6

### enum EOfflineState

Defines offline state of an object. Locally changed objects require synchronization with their remote storage.

#### Members

E_OFFLINE_STATE_UNKNOWN | Unknown offline state. |
E_OFFLINE_STATE_SYNCED | The object if synchnized with no local changes. |
E_OFFLINE_STATE_LOCALLY_CREATED | The object is locally created. |
E_OFFLINE_STATE_LOCALLY_MODIFIED | The object is locally modified. |
E_OFFLINE_STATE_LOCALLY_DELETED | The object is locally deleted. |

Since: 3.26

### enum ECollectionBackendParts

Flags to check whether at least one of the asked for parts is enabled.

#### Members

E_COLLECTION_BACKEND_PART_NONE | None part. |
E_COLLECTION_BACKEND_PART_CALENDAR | Check the calendar part. |
E_COLLECTION_BACKEND_PART_CONTACTS | Check the contacts part. |
E_COLLECTION_BACKEND_PART_MAIL | Check the mail part. |
E_COLLECTION_BACKEND_PART_ANY | Shortcut to have all parts checked. |

Since: 3.40